Last Comment Bug 660806 - Autocomplete shows during history navigation
: Autocomplete shows during history navigation
Status: VERIFIED FIXED
[fixed-in-devtools]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Mihai Sucan [:msucan]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 05:59 PDT by Mihai Sucan [:msucan]
Modified: 2011-06-29 05:51 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
[in-devtools] proposed patch (3.53 KB, patch)
2011-06-21 12:08 PDT, Mihai Sucan [:msucan]
rcampbell: review+
dtownsend: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2011-05-31 05:59:53 PDT
The autocomplete suggestions show during history navigation, in some cases.

STR:

1. Open the Web Console.
2. Type window.location and press Enter
3. Press the Up arrow key to go to the previous entry.

Expected result: you get window.location and no autocomplete suggestions.

Actual result: you get window.location and autocomplete suggestions.

This is easy to fix.
Comment 1 Mihai Sucan [:msucan] 2011-06-21 12:08:29 PDT
Created attachment 540829 [details] [diff] [review]
[in-devtools] proposed patch

Proposed patch.

The fix is really simple: we need to update lastInputValue when we do programmatic changes to the input value, like when going up/down in the history. This prevents the code from showing the popup when it's not needed, during keyboard events handling.

Mochitest included.

(I would like this to go in mozilla-aurora, if we can get it reviewed soon enough. Thanks!)
Comment 2 Rob Campbell [:rc] (:robcee) 2011-06-22 07:28:37 PDT
Comment on attachment 540829 [details] [diff] [review]
[in-devtools] proposed patch

ah, I see what you did there. Looks good.
Comment 3 Mihai Sucan [:msucan] 2011-06-22 07:36:03 PDT
Comment on attachment 540829 [details] [diff] [review]
[in-devtools] proposed patch

Thanks for the r+ Rob!

Asking for review from Mossop.
Comment 4 Mihai Sucan [:msucan] 2011-06-23 05:13:31 PDT
Comment on attachment 540829 [details] [diff] [review]
[in-devtools] proposed patch

Thanks for the r+!

Asking for mozilla-aurora approval. This patch fixes an important bug affecting the usability of the new Autocomplete popup for the Web Console.

Try server results:
http://tbpl.mozilla.org/?tree=Try&rev=36c6de45e4f1
Comment 5 Rob Campbell [:rc] (:robcee) 2011-06-23 06:36:11 PDT
Comment on attachment 540829 [details] [diff] [review]
[in-devtools] proposed patch

http://hg.mozilla.org/projects/devtools/rev/c5fece76dc09
Comment 6 Rob Campbell [:rc] (:robcee) 2011-06-23 06:49:33 PDT
relanded as:

http://hg.mozilla.org/projects/devtools/rev/2b19247a5036
Comment 8 George Carstoiu 2011-06-29 05:51:40 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110629 Firefox/7.0a1

Verified issue on Ubuntu 11.04, Mac OS X 10.6, WinXP, Win7 using steps from Comment 0 and it's no longer reproducible.

Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.